groups:
- name: SNMP Lenovo XCC rules
  rules:
  - record: capacity:instance:power_consumption:sum
    expr: label_replace(sum by (model,alias)(avg_over_time(fuelGaugeTotalPowerInUse[10m]) * on (alias) group_left(model) label_replace(machineLevelProductName ,"model","$1","machineLevelProductName","(.*)")), "alias", "$1", "alias", "([^.]+).*")
    labels:
      category: Hardware
      type: Server
      vendor: Lenovo

  - alert: SNMP_Lenovo_XCC_systemHealthStat_NOK
    expr: systemHealthStat_info{systemHealthStat!="normal"}
    for: 5m
    labels:
      severity: 'critical'
      sylva_alert: 'true'
      type: 'hardware'
    annotations:
      description: 'Target "{{ $labels.alias }}" [ cluster: "{{ $labels.cluster_name }}" / address: "{{ $labels.instance }}" ] - systemHealthStat is not "normal". Current state is: {{ $labels.systemHealthStat }}'
      runbook_url: ''
      summary: 'SNMP Lenovo XCC systemHealthStat NOK'

  - alert: SNMP_Lenovo_XCC_cpuVpdHealthStatus_NOK
    expr: cpuVpdHealthStatus{cpuVpdHealthStatus!~"(N|n)ormal"} * on(cpuVpdIndex, instance) group_left(cpuVpdDescription) cpuVpdDescription
    for: 5m
    labels:
      severity: 'warning'
      sylva_alert: 'true'
      type: 'hardware'
    annotations:
      description: 'Target "{{ $labels.alias }}" [ cluster: "{{ $labels.cluster_name }}" / address: "{{ $labels.instance }}" ] - cpuVpdHealthStatus for CPU "{{ $labels.cpuVpdDescription }}" is not "normal". Current state is: {{ $labels.cpuVpdHealthStatus }}'
      runbook_url: ''
      summary: 'SNMP Lenovo XCC cpuVpdHealthStatus NOK'

  - alert: SNMP_Lenovo_XCC_raidDriveHealthStatus_NOK
    expr: raidDriveHealthStatus{raidDriveHealthStatus!~"(N|n)ormal"} * on(raidDriveIndex, instance) group_left(raidDriveName) raidDriveName
    for: 5m
    labels:
      severity: 'warning'
      sylva_alert: 'true'
      type: 'hardware'
    annotations:
      description: 'Target "{{ $labels.alias }}" [ cluster: "{{ $labels.cluster_name }}" / address: "{{ $labels.instance }}" ] - raidDriveHealthStatus for "{{ $labels.raidDriveName }}" is not "Normal". Current state is: {{ $labels.raidDriveHealthStatus }}'
      runbook_url: ''
      summary: 'SNMP Lenovo XCC raidDriveHealthStatus NOK'

  - alert: SNMP_Lenovo_XCC_memoryHealthStatus_NOK
    expr: memoryHealthStatus{memoryHealthStatus!~"(N|n)ormal"} * on(memoryVpdIndex, instance) group_left(memoryVpdDescription) memoryVpdDescription
    for: 5m
    labels:
      severity: 'warning'
      sylva_alert: 'true'
      type: 'hardware'
    annotations:
      description: 'Target "{{ $labels.alias }}" [ cluster: "{{ $labels.cluster_name }}" / address: "{{ $labels.instance }}" ] - memoryHealthStatus for DIMM "{{ $labels.memoryVpdDescription }}" is not "Normal". Current state is: {{ $labels.memoryHealthStatus }}'
      runbook_url: ''
      summary: 'SNMP Lenovo XCC memoryHealthStatus NOK'

  - alert: SNMP_Lenovo_XCC_fanHealthStatus_NOK
    expr: fanHealthStatus{fanHealthStatus!~"(N|n)ormal"} * on(fanIndex, instance) group_left(fanDescr) fanDescr
    for: 5m
    labels:
      severity: 'warning'
      sylva_alert: 'true'
      type: 'hardware'
    annotations:
      description: 'Target "{{ $labels.alias }}" [ cluster: "{{ $labels.cluster_name }}" / address: "{{ $labels.instance }}" ] - fanHealthStatus for Fan "{{ $labels.fanDescr }}" is not "Normal". Current state is: {{ $labels.fanHealthStatus }}'
      runbook_url: ''
      summary: 'SNMP Lenovo XCC fanHealthStatus NOK'

  - alert: SNMP_Lenovo_XCC_voltHealthStatus_NOK
    expr: voltHealthStatus{voltHealthStatus!~"(N|n)ormal"} * on(voltIndex, instance) group_left(voltDescr) voltDescr
    for: 5m
    labels:
      severity: 'warning'
      sylva_alert: 'true'
      type: 'hardware'
    annotations:
      description: 'Target "{{ $labels.alias }}" [ cluster: "{{ $labels.cluster_name }}" / address: "{{ $labels.instance }}" ] - voltHealthStatus for System Component "{{ $labels.voltDescr }}" is not "Normal". Current state is: {{ $labels.voltHealthStatus }}'
      runbook_url: ''
      summary: 'SNMP Lenovo XCC voltHealthStatus NOK'
